package com.muyu.enterprise.cache;

import com.muyu.common.cache.CacheAbsBacis;
import com.muyu.domain.WarnRule;
import com.muyu.domain.WarnStrategy;

/**
 * 预警策略缓存服务
 */
public class WarnStrategyCacheService extends CacheAbsBacis<String, WarnStrategy> {
    @Override
    public void clear() {

    }

    @Override
    public String keyPre() {
        return "warnStrategy:info:";
    }

    @Override
    public String decode(String key) {
        return key.replace("warnStrategy:info:", "");
    }
}
